desync(1)

NAME
desync-list-chunks - List chunk IDs from an index

SYNOPSIS
desync list-chunks <index> [flags]

DESCRIPTION
Reads the index file and prints the list of chunk IDs in it. Use '-' to read the index from STDIN.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for list-chunks

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync list-chunks file.caibx

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra